ICS calendar feed

GET /api/v2/appointments/ics - Download appointments and/or blocks as a text/calendar (.ics) file for the given date range. Use this to share or import into Google Calendar, Outlook, Apple Calendar, etc.

GET/api/v2/appointments/ics

Download appointments and/or blocks as a text/calendar (.ics) file for the given date range. Use this to share or import into Google Calendar, Outlook, Apple Calendar, etc.

Required scope: appointments (or *).

Query parameters

NameRequiredDescription
fromYesRange start (YYYY-MM-DD or datetime)
toYesRange end (YYYY-MM-DD or datetime)
agent_uuidNoFilter by assigned agent
appointment_typeNoappointment or block
nameNoCalendar display name (X-WR-CALNAME)

Example request

curl -s -H "Authorization: Bearer YOUR_TOKEN" \
  "https://benefitpath.com/api/v2/appointments/ics?from=2026-07-01&to=2026-07-31&appointment_type=block"

Example response

BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Benefit Path//Partner API//EN
...
END:VCALENDAR

See Calendar and Errors.